<div id="buildings" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent" style="height: 154px;"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    location_city
                </mat-icon>
                <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a enquired customer">
                    </div>
                </div>

                <!-- <div style="background-color:white;" class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon style="color:#444;">search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search for a building">
                    </div>
                </div> -->
             
            </div>
            <div>
                <mat-paginator style="border-radius: 32px;height: 50px;
                margin-top: -21px; align-items: center;display: flex;" [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]" #paginatorRef></mat-paginator>
            </div>
            <!-- <mat-paginator [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->
          



        </div>
        <div flLayout="row" style="margin-top: -23px"  fxLayoutAlign="start center">
            <nav mat-tab-nav-bar [backgroundColor]="background">
                <!-- <a mat-tab-link *ngFor="let link of links" style="color: white;" (click)="displayCustomersBy(link)"
                    [active]="activeLink == link"> {{link}} </a> -->
            </nav>
        </div>

        <!-- / HEADER -->

        <!-- ADD BUTTON -->
        <!-- <button class="add-button" mat-fab color="primary" id="add-button" (click)="addCustomer()">
            <mat-icon>add</mat-icon>
        </button> -->
        <button class="scroll-button" mat-fab color="primary" id="add-button" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button>

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 608px;
        margin-top: -60px;">
            <table mat-table [dataSource]="dataSource" multiTemplateDataRows matSort class="mat-elevation-z8">
                <ng-container matColumnDef="slno">
                    <mat-header-cell *matHeaderCellDef mat-sort-header [ngClass]="'id-column'">Sl.No</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers;let i=dataIndex" [ngClass]="'id-column'">
                        <p class="text-truncate">{{ paginatorRef.pageIndex * paginatorRef.pageSize + i + 1}}</p>
                    </mat-cell>
                </ng-container>
                <!-- First Name Column -->
                <ng-container matColumnDef="name">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <!-- <p class="text-truncate"> -->
                            <span *ngIf="allCustomers.is_read == 1">
                                {{allCustomers.name}}
                            </span>
                            <mat-icon class="verified-icon" *ngIf="allCustomers.user_id">verified_user</mat-icon>

                            <span  *ngIf="allCustomers.is_read == 0"  matBadge="N" matBadgeOverlap="false" matBadgePosition="after" matBadgeColor="accent">
                                {{allCustomers.name}}
                            </span>
                        <!-- </p> -->
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="phone">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Mobile</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.phone}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="email">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Email</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.enq_email}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="premises">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Premises, Building</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.premises}}</p>,
                        <p class="text-truncate">{{allCustomers.address}}</p>
                    </mat-cell>
                </ng-container>
                <!-- <ng-container matColumnDef="location">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Location</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate">{{allCustomers.Location}}</p>
                    </mat-cell>
                </ng-container> -->
                <!-- <ng-container matColumnDef="address">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Building</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate" >{{allCustomers.address}}</p>
                    </mat-cell>
                </ng-container> -->
                <ng-container matColumnDef="comments">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Comments</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers">
                        <p class="text-truncate" >{{allCustomers.comments}}</p>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="plan">
                    <mat-header-cell *matHeaderCellDef mat-sort-header [ngClass]="'plans-column'">Plan</mat-header-cell>
                    <mat-cell *matCellDef="let allCustomers" [ngClass]="'plans-column'">
                        <div>
                            <p class="text-truncate" >Subscription: {{allCustomers.plan?.selectedSubscriptionType}}</p>
                            <p class="text-truncate" >Vehicle: {{allCustomers.plan?.selectedVehicleType}}</p>
                            <p class="text-truncate" >Plan: {{allCustomers.plan?.weeklyFrequencyText}}</p>    
                        </div>
                    </mat-cell>
                </ng-container>
                <ng-container matColumnDef="add" >
                    <mat-header-cell *matHeaderCellDef [ngClass]="'edit-customer-column'">Add/Edit Customer</mat-header-cell>
                    <mat-cell [ngClass]="'edit-customer-column'" style="cursor: pointer;min-width: 40px;" *matCellDef="let allCustomers">
                        <mat-icon *ngIf="allCustomers.doesExist == null" (click)="addCustomer(allCustomers)">add</mat-icon>
                        <mat-icon *ngIf="allCustomers.doesExist != null" (click)="addCustomer(allCustomers)">done</mat-icon>
                    </mat-cell>
                </ng-container>

                <mat-header-row *matHeaderRowDef=" displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let allCustomers; columns: displayedColumns;" class="example-element-row"
                    [class.example-expanded-row]="expandedElement === allCustomers"
                    [ngClass]="allCustomers.cust_status == 0?'deletedCustomer':''"
                    (click)="expandedElement = expandedElement === allCustomers ? null : allCustomers"> </mat-row>
                
            </table>
            <!-- <mat-paginator [pageSize]="10"  #paginatorRef [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator> -->

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>